2010-06-14  Lluis Sanchez Gual  <lluis@novell.com>

	* configure.in: Bump MD version.

2010-05-20  Lluis Sanchez Gual  <lluis@novell.com>

	* configure.in: Bump MD version.

2010-03-22  Lluis Sanchez Gual  <lluis@novell.com>

	* configure.in: Bumped MD version.

2010-03-17  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Database.sln: Merged MD.Projects into MD.Core,
	  and MD.Projects.Gui, MD.Core.Gui and MD.Components into
	  MD.Ide.

2010-03-01  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Database.sln: The invariant policy can't be used
	  anymore as base policy set.

2010-02-12  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Database.sln: Flush.

2009-10-30  Lluis Sanchez Gual  <lluis@novell.com>

	* configure.in: Bump MD version.

2009-10-18  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Database.sln: Fix the build & flush format
	  changes.

2009-10-07  Lluis Sanchez Gual  <lluis@novell.com>

	* configure.in: Bump MD version.

2009-08-26  Lluis Sanchez Gual  <lluis@novell.com>

	* configure.in: We now depend on gtk# 2.12.8, Mono 2.4, and
	  Mono.Addins 0.4.

2009-07-31  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Database.sln: Disabled 'require specific
	  version' flags.

2009-05-27 Luciano N. Callero <lnc19@hotmail.com>
	* MonoDevelop.Database.ConnectionManager/MonoDevelop.Database.ConnectionManager.csproj: Include ChangeLog into project.
	* MonoDevelop.Database.ConnectionManager/NodeBuilders/ProcedureNodeBuilders.cs: Show differents image for functions and stored procedures.
	  Implement alter procedure.
	* MonoDevelop.Database.Designer/MonoDevelop.Database.Designer.csproj: Include ChangeLog into project.
	* MonoDevelop.Database.Designer/Dialogs/ProcedureEditorDialog.cs: Fix NullReferenceException. 
	  No show comment as default.
	* MonoDevelop.Database.Designer/gtk-gui/gui.stetic: Changes after rebuild the gui.
	* MonoDevelop.Database.Designer/gtk-gui/MonoDevelop.Database.Designer.CreateDatabaseDialog.cs: 
	* MonoDevelop.Database.Designer/gtk-gui/MonoDevelop.Database.Designer.PreviewDialog.cs: 
	* MonoDevelop.Database.Designer/gtk-gui/MonoDevelop.Database.Designer.TableEditorDialog.cs: 
	* MonoDevelop.Database.Designer/gtk-gui/MonoDevelop.Database.Designer.UserEditorDialog.cs: 
	* MonoDevelop.Database.Designer/gtk-gui/MonoDevelop.Database.Designer.ViewEditorDialog.cs: 	
	* MonoDevelop.Database.Designer/gtk-gui/object.xml: 	
	  Changes after rebuild the gui.
	* MonoDevelop.Database.Designer/gtk-gui/MonoDevelop.Database.Designer.ProcedureEditorDialog.cs: Hide some widget for some operations.
	* MonoDevelop.Database.Query/icons/Icons.16x16.Database.Functions.png: New Icon for Functions.
	* MonoDevelop.Database.Query/Makefile.am: Add new image embeed as a resource.
	* MonoDevelop.Database.Query/MonoDevelop.Database.Query.addin.xml: New stock icon.
	* MonoDevelop.Database.Query/MonoDevelop.Database.Query.csproj: New png icon for the project.
	* MonoDevelop.Database.Sql.MySql/MonoDevelop.Database.Sql.MySql.csproj: Add ChangeLog into the project.
	* MonoDevelop.Database.Sql.MySql/MySqlGuiProvider.cs: Don't show Name entry on alter/create procedure beacause isn't needed.
	* MonoDevelop.Database.Sql.MySql/MySqlSchemaProvider.cs: Code clean.
	  Replace string + string with string.concat/string.format for performance.
	  Format sql tu use mult-line string and to make sql readable.
	  Use of using statement where is supported.
	  Fix alter procedure bugs.
	  Remove unneeded comments. (old code)	
	* MonoDevelop.Database.Sql.Npgsql/MonoDevelop.Database.Sql.Npgsql.csproj: Include ChangeLog into the project.
	* MonoDevelop.Database.Sql.Npgsql/NpgsqlSchemaProvider.cs: Save lastSystemOID to improve performance. 
	  Replace string + string with string.concat/string.format for performance.
	  Format sql tu use mult-line string and to make sql readable.
	  Use of using statement where is supported.
	  Remove unneeded comments. (old code)
	  Implement custom Procedure Definition creation.
	  Show all the parameters.
	  Use internal LastSystemOID when is present.
	  GetProcedureParameters now really works and show all the parameters.
	  Code clean.
	  Fix alter procedure bugs.
	* MonoDevelop.Database.Sql.SqlServer/MonoDevelop.Database.Sql.SqlServer.csproj: Include ChangeLog into the project.
	* MonoDevelop.Database.Sql.SqlServer/SqlServerSchemaProvider: Replace string + string with string.concat/string.format for performance.
	  Format sql tu use mult-line string and to make sql readable.
	  Use of using statement where is supported.
	  Code clean.
	  Fix alter procedure bugs.
	  Detect system and user tables differences.
	  Implemente Create Procedure.
	* MonoDevelop.Database.Sql/AlterSchema/AbstractAlterSchema.cs: Fix NullReferenceException.
	* MonoDevelop.Database.Sql/AlterSchema/ProcedureAlterSchema.cs: Remove unneeded todo.
	* MonoDevelop.Database.Sql/MonoDevelop.Database.Sql.csproj: Add ChangeLog into the project.

2009-05-18 Luciano N. Callero <lnc19@hotmail.com>
	* MonoDevelop.Database.Query/SqlQueryView.cs: Implement SourceEditorView. Sql History Tab. 
	Implemented an ISqlQueryEditorView. Execute selected text (if exists) or all the text.
	Fix bug that make the query read only after execute.
	* MonoDevelop.Database.Query/SqlQueryTextEditorExtension.cs: Implement a TextEditorExtension to handle Ctrl + Enter (Execute Script).
	* MonoDevelop.Database.Query/ISqlQueryEditorView.cs: Interfase implementated by a Query Editor View.
	* MonoDevelop.Database.Query/SqlQueryDisplayBinding.cs: Implement a Display Binding to open Sql files with SqlQueryView.
	* MonoDevelop.Database.Components/Widgets/SqlEditorWidget.cs: Selected Text property to execute only the selected part of the SQL.

2009-04-21  Luciano N. Callero  <lnc19@hotmail.com>

	* MonoDevelop.Database.Components/Widgets/SelectColumnWidget.cs:
	* MonoDevelop.Database.Components/Widgets/SortedColumnListStore.cs: Add Clear Method to clear
	  the Store.
	* MonoDevelop.Database.ConnectionManager/NodeBuilders/TablesNodeBuilder.cs: Added a new way to add a
	  New Table with a unique name.
	* MonoDevelop.Database.Designer/gtk-gui/gui.stetic:
	* MonoDevelop.Database.Designer/Dialogs/TableEditorDialog.cs:
	* MonoDevelop.Database.Designer/Widgets/ColumnsEditorWidget.cs:
	* MonoDevelop.Database.Designer/Widgets/TriggersEditorWidget.cs:
	* MonoDevelop.Database.Designer/Widgets/ConstraintsEditorWidget.cs:
	* MonoDevelop.Database.Designer/Widgets/CheckConstraintEditorWidget.cs:
	* MonoDevelop.Database.Designer/Widgets/UniqueConstraintEditorWidget.cs:
	* MonoDevelop.Database.Designer/Widgets/PrimaryKeyConstraintEditorWidget.cs:
	* MonoDevelop.Database.Designer/Widgets/ForeignKeyConstraintEditorWidget.cs:
	* MonoDevelop.Database.Designer/gtk-gui/MonoDevelop.Database.Designer.ForeignKeyConstraintEditorWidget.cs:
	  Fix all the Bugs that prevent run "Create Table" command.
	* MonoDevelop.Database.Sql/Schema/DataTypeCategory.cs: New Date Interval Type.
	* MonoDevelop.Database.Sql/Providers/AbstractSchemaProvider.cs: Method to Get
	  Constraint Action as string.
	Don't rise some unneeded exceptions.
	* MonoDevelop.Database.Sql.MySql/MySqlGuiProvider.cs: Fix Preview Dialog. Cancel the dialog
	  should not create the table and don't close the table
	  creation dialog.
	* MonoDevelop.Database.Sql.MySql/MySqlSchemaProvider.cs: Fix creation table to create a
	  correct sql.
	* MonoDevelop.Database.Sql.Npgsql/NpgsqlGuiProvider.cs: Fix Preview Dialog. When cancel the
	  dialog, don't create the table and don't close the table.
	* MonoDevelop.Database.Sql.Npgsql/NpgsqlSchemaProvider.cs: Fix creation table to create a
	  correct sql.
	* MonoDevelop.Database.Sql.Sqlite/SqliteGuiProvider.cs: Fix Preview Dialog. When cancel the
	  dialog, don't create the table and don't close the table.
	* MonoDevelop.Database.Sql.Sqlite/SqliteSchemaProvider.cs: Fix creation table to create a
	  correct sql.
	* MonoDevelop.Database.Sql.SqlServer/SqlServerPooledDbConnection.cs: Added a way to create a
	  trigger after a table.
	* MonoDevelop.Database.Sql.SqlServer/SqlServerSchemaProvider.cs: Fix creation table to create a
	  correct sql.
	  Fix Constraint SQL.
	* MonoDevelop.Database.Sql.SqlServer/SqlServerGuiProvider.cs: Fix Preview Dialog. When cancel the
	  dialog, don't create the table and don't close the table.
	

2009-04-17  Michael Hutchinson  <mhutchinson@novell.com>

	* configure.in: Reference SourceEditor correctly from makefile
	  builds.

2009-04-15  Lluis Sanchez Gual  <lluis@novell.com>

	* configure.in: Bump MD version.

2009-03-24 Luciano N. Callero <lnc19@hotmail.com>
	* MonoDevelop.Database.Sql/Schema/ProcedureSchema.cs: Added IsFunction 
	  property to determine whether a Procedure is a function or a normal SP.
	* MonoDevelop.Database.Designer/Dialogs/ProcedureEditorDialog.cs: Fix 
	  ArgumentNullException. It was checking a parameter to null which is 
	  supplied after the constructor.
	* MonoDevelop.Database.Sql.MySql/MySqlSchemaProvider.cs: Check if it is a 
	  function or SP. Fix MySqlException when stored procedures are shown on a 
	  table which has functions. Uncomment GetProcedureAlterStatement 
	  implementation and check if it is a function or a SP.   

2009-02-26  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Database.sln: Fix translation projects' GUIDs.

2009-02-25  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Database.sln: Set policies. Remove unused name
	  attribute.

2009/02/06  Lluis Sanchez Gual  <lluis@novell.com>

 * MonoDevelop.Database.sln: Flush.

2009/02/06  Lluis Sanchez Gual  <lluis@novell.com>

 * MonoDevelop.Database.sln: Add missing files.

2009/02/06  Lluis Sanchez Gual  <lluis@novell.com>

 * MonoDevelop.Database.mds: Migrated to MSBuild file format.

2009/02/03  Lluis Sanchez Gual  <lluis@novell.com>

 * configure.in: Bump MD version.

2009-01-26  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Database.Sql.Tests/MonoDevelop.Database.Sql.Tests.mdp:
	Flush project format changes.

2008-11-05  Lluis Sanchez Gual  <lluis@novell.com>

	* configure.in: Bump MD version.

2008-06-04  Lluis Sanchez Gual <lluis@novell.com> 

	* configure.in: Bump MD version.

2008-05-28  Michael Hutchinson <mhutchinson@novell.com> 

	* po/Makefile.am: Remove bash-isms.

2008-05-21  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Database.mds, po/po.mdse: New project model changes and
	  updates.

2008-02-24  Enver ALTIN  <ealtin@gmail.com>

	* po/tr.po: Updated Turkish translation.

2008-01-29  Ben Motmans <ben.motmans@gmail.com> 

	* configure.in: only compile the Sqlite addin if the mono version >= 1.2.5

2008-01-29  Ben Motmans <ben.motmans@gmail.com> 

	* configure.in: test the correct Sqlite assembly
	* contrib/Firebird, contrib/Firebird/Firebird.mdp,
	  contrib/Firebird/FirebirdSql.Data.Firebird.dll,
	  contrib/Firebird/FirebirdSql.Data.Firebird.license.txt,
	  contrib/Firebird/Makefile.am, contrib/Sqlite,
	  contrib/Sqlite/Mono.Data.Sqlite.dll, contrib/Sqlite/Sqlite.license.txt:
	  obsolete

2008-01-28  Michael Hutchinson <mhutchinson@novell.com> 

	* po/nl.po: Updated translation by André Offringa.
	* po/es.po: Updated translation by Andrés G. Aragoneses.
	* po/de.po: Updated translation by anonymous GHOP student.

2008-01-28  Ben Motmans <ben.motmans@gmail.com> 

	* configure.in, monodevelop-database.pc.in, Makefile.am,
	  MonoDevelop.Database.mds: added code generation addin

2008-01-28  Ben Motmans <ben.motmans@gmail.com> 

	* MonoDevelop.Database.CodeGenerator: added CodeGeneration addin to
	  automatically generate data classes

2008-01-25  Lluis Sanchez Gual <lluis@novell.com> 

	* configure.in: Update MD version.

2008-01-24  David Makovský (Yakeen) <yakeen@sannyas-on.net>

	* cs.po: Updated translation.

2008-01-23  Atsushi Enomoto  <atsushi@ximian.com>

	* po/ja.po : made it 100% up-to-date.

2008-01-22  Michael Hutchinson <mhutchinson@novell.com> 

	* configure.in: Check for msgfmt and msgmerge.
	* po/messages.po: Add to svn so that translators don't have to build MD.
	* po/hu.po: Added new translation.
	* po/po.mdse:
	* po/Makefile.am: Updated. Fix update-po target and add statistics target.

2008-01-22  Lluis Sanchez Gual <lluis@novell.com> 

	* po/gl.po, po/cs.po, po/pt_BR.po, po/fr.po, po/es.po, po/sl_SI.po,
	  po/pl.po, po/it.po, po/pt.po, po/ca.po, po/da.po, po/tr.po, po/ru.po,
	  po/de.po, po/sv.po, po/ja.po, po/zh_TW.po, po/zh_CN.po: Updated
	  translations.
	* po/nl.po, po/po.mdse, po/id.po: Added new translations.

2007-12-29 David Makovský (Yakeen) <yakeen@sannyas-on.net>

	* po/cs.po: updated translation

2007-12-19  Ben Motmans <ben.motmans@gmail.com> 

	* AUTHORS: added author info

2007-12-17  Lluis Sanchez Gual <lluis@novell.com> 

	* configure.in: Updated add-in versions.

2007-12-04  Lluis Sanchez Gual <lluis@novell.com> 

	* AUTHORS, configure.in, ChangeLog,
	  MonoDevelop.Database.Sql.Tests/MonoDevelop.Database.Sql.Tests.mdp,
	  README, Makefile.include, monodevelop-database.pc.in, Makefile.am,
	  autogen.sh, MonoDevelop.Database.mds, NEWS, po, po/gl.po, po/cs.po,
	  po/pt_BR.po, po/es.po, po/fr.po, po/sl_SI.po, po/pl.po, po/it.po,
	  po/ca.po, po/pt.po, po/da.po, po/tr.po, po/ru.po, po/de.po, po/sv.po,
	  po/po.mdse, po/ja.po, po/zh_TW.po, po/Makefile.am, po/zh_CN.po:
	  Directory reorganization.

